DKBSignDocs

API reference

POSTRequires Bearer token

Confirm TOTP enrollment

/api/v1/mfa/totp/confirm

Submit /api/v1/mfa/totp/confirm. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
code
Required
string6-digit TOTP code.
e.g. "123456"

Responses

StatusMeaning
200TOTP enabled
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/mfa/totp/confirm' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"code":"123456"}'

Response 200

json
{
  "status": "success",
  "message": "TOTP enabled"
}